import PropTypes from 'prop-types';
import styles from './styles.module.css';

const Button = (props) => {

    const { 
        title,
        onConfirm
    } = props;

    
    return (
        <button className={styles.button} onClick={onConfirm}>{title}</button>
    )
}

export default Button;


Button.prototype = {
    title: PropTypes.string.isRequired,
    onConfirm: PropTypes.func.isRequired,

}