import styles from './styles.module.css'
import PropTypes from 'prop-types';

const Seat = (props) => {
    const {onSeatClick, status} = props
    return (
        <div onClick={onSeatClick} className={` ${styles[status]} ${styles.seat} `}>
            
        </div>
    )
}

Seat.prototype = {
    onSeatClick: PropTypes.func.isRequired,
    status: PropTypes.oneOf(['available', 'reserved', 'selected'])
}

export default Seat;